Cisco ASR 1000 Series Routers with MACSEC

Certificate details

Certificate ID #3775
Status historical
Historical reason SP 800-56Arev3 transition - replaced by certificate #4644
Validation dates 18.12.2020 , 11.06.2021
Standard FIPS 140-2
Security level 1
Type Hardware
Embodiment Multi-Chip Stand Alone
Caveat When operated in FIPS mode, installed, initialized and configured as specified in Section 9 of the Security Policy
Exceptions
  • Roles, Services, and Authentication: Level 3
  • Design Assurance: Level 3
  • Mitigation of Other Attacks: N/A
Description The ASR 1000 Routers accelerate services by offering performance and resiliency with optimized, intelligent services; establishing a benchmark for price-to-performance offerings in the enterprise routing, service provider edge, and broadband aggregation segments; facilitating significant network innovations in areas such as secure WAN aggregation, managed customer-premises-equipment services, and service provider edge services, and reducing operating expenses and capital expenditures by facilitating managed or hosted services over identical architectures and operating environments.
Version (Hardware) ASR1001-HX, ASR1002-HX, [[ASR1006-X with RP2, RP3, ESP40, ESP100, [ASR1000-MIP100 with EPA-10X10GE and EPA-1X40GE QSFP+]] and [[ASR-1009-X with RP2, RP3, ESP40, ESP100, ESP200, [ASR1000-MIP100 with EPA-10X10GE and EPA-1X40GE QSFP+]]
Version (Firmware) Cisco IOS-XE 16.12
Vendor Cisco Systems, Inc. https://www.cisco.com
Lab Acumen Security
Algorithms
References

This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates.

Security policy

Extracted keywords

Symmetric Algorithms
AES-, AES, AES-256, RC4, DES, Triple-DES, TDES, HMAC, CMAC
Asymmetric Algorithms
RSA 2048, ECDH, ECDSA, ECC, Diffie-Hellman, DH
Hash functions
SHA-1, SHA-256, SHA-384, SHA-512, MD5
Schemes
MAC, Key Exchange
Protocols
SSH, TLS, TLSv1.2, IKE, IKEv2, IPsec, VPN
Randomness
DRBG, RNG
Elliptic Curves
P-256, P-384
Block cipher modes
ECB, CBC, CTR, GCM

Vendor
Cisco, Cisco Systems, Inc, Cisco Systems

Security level
Level 1, level 1

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

No automatically derived data are available in this section.

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.fips.FIPSCertificate",
  "cert_id": 3775,
  "dgst": "a4f5499a612299fe",
  "heuristics": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
    "algorithms": {
      "_type": "Set",
      "elements": [
        "AES#333",
        "AES#4583",
        "AES#C462",
        "KTS#4583",
        "Triple-DES#C462",
        "#3034",
        "Triple-DES#1469",
        "#408",
        "#137",
        "#2500",
        "#1529",
        "#1241",
        "DRBG#C462",
        "#C462",
        "Triple-DES#397",
        "#1257",
        "#3505",
        "ECDSA#C462",
        "SHS#C462",
        "#333",
        "#1258",
        "SHS#2023",
        "CVL#C462",
        "RSA#2500",
        "#2023",
        "HMAC#3034",
        "SHS#3760",
        "AES#2346",
        "CVL#1257",
        "RSA#C462",
        "#139",
        "KBKDF#139",
        "Triple-DES#2436",
        "#1469",
        "KBKDF#C462",
        "#3160",
        "ECDSA#1241",
        "#2346",
        "#2436",
        "CVL#1258",
        "AES#3160",
        "#397",
        "SHS#408",
        "HMAC#137",
        "#1455",
        "AES#3505",
        "#3760",
        "HMAC#C462",
        "HMAC#1455",
        "#4583",
        "DRBG#1529",
        "KTS#C462"
      ]
    },
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "16.12"
      ]
    },
    "indirect_transitive_cves": null,
    "module_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "module_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "policy_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "policy_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "related_cves": null,
    "verified_cpe_matches": null
  },
  "pdf_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
    "br1_deviations": 43,
    "br1_tables": null,
    "is_br1_format": false,
    "keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECC": {
            "ECC": 1
          },
          "ECDH": {
            "ECDH": 3
          },
          "ECDSA": {
            "ECDSA": 3
          }
        },
        "FF": {
          "DH": {
            "DH": 6,
            "Diffie-Hellman": 25
          }
        },
        "RSA": {
          "RSA 2048": 1
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 8
        },
        "CTR": {
          "CTR": 8
        },
        "ECB": {
          "ECB": 4
        },
        "GCM": {
          "GCM": 9
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "IKE": {
          "IKE": 30,
          "IKEv2": 1
        },
        "IPsec": {
          "IPsec": 14
        },
        "SSH": {
          "SSH": 59
        },
        "TLS": {
          "TLS": {
            "TLS": 57,
            "TLSv1.2": 1
          }
        },
        "VPN": {
          "VPN": 4
        }
      },
      "crypto_scheme": {
        "KEX": {
          "Key Exchange": 10
        },
        "MAC": {
          "MAC": 2
        }
      },
      "device_model": {},
      "ecc_curve": {
        "NIST": {
          "P-256": 18,
          "P-384": 18
        }
      },
      "eval_facility": {},
      "fips_cert_id": {
        "Cert": {
          "#1": 1,
          "#3": 1,
          "#4583": 1
        }
      },
      "fips_certlike": {
        "Certlike": {
          "AES -128, 192": 2,
          "AES 4583": 1,
          "AES CBC (128": 1,
          "AES GCM (128": 2,
          "AES- 256": 4,
          "AES-256": 2,
          "DES 9": 1,
          "DRBG (256": 1,
          "Diffie-Hellman 7": 1,
          "HMAC SHA-1": 13,
          "HMAC SHA-256": 1,
          "HMAC SHA-384": 1,
          "HMAC SHA-512": 1,
          "HMAC-SHA1": 5,
          "HMAC-SHA1 139": 1,
          "PKCS#1": 4,
          "RSA 2048": 1,
          "SHA-1": 18,
          "SHA-1 Byte Oriented 137": 1,
          "SHA-1 Byte Oriented 1455": 2,
          "SHA-256": 5,
          "SHA-384": 2,
          "SHA-512": 2,
          "cert # AES": 1
        }
      },
      "fips_security_level": {
        "Level": {
          "Level 1": 2,
          "level 1": 3
        }
      },
      "hash_function": {
        "MD": {
          "MD5": {
            "MD5": 8
          }
        },
        "SHA": {
          "SHA1": {
            "SHA-1": 21
          },
          "SHA2": {
            "SHA-256": 5,
            "SHA-384": 2,
            "SHA-512": 2
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 60
        },
        "RNG": {
          "RNG": 3
        }
      },
      "side_channel_analysis": {},
      "standard_id": {
        "FIPS": {
          "FIPS 140": 4,
          "FIPS 140-2": 20,
          "FIPS PUB 140-2": 1
        },
        "NIST": {
          "SP 800-38D": 1,
          "SP 800-52": 1,
          "SP 800-90": 5
        },
        "PKCS": {
          "PKCS#1": 2
        },
        "RFC": {
          "RFC 4253": 1,
          "RFC 5246": 1,
          "RFC 5288": 1,
          "RFC 6071": 1,
          "RFC 7296": 2
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 24,
            "AES-": 4,
            "AES-256": 2
          },
          "RC": {
            "RC4": 3
          }
        },
        "DES": {
          "3DES": {
            "TDES": 1,
            "Triple-DES": 13
          },
          "DES": {
            "DES": 6
          }
        },
        "constructions": {
          "MAC": {
            "CMAC": 2,
            "HMAC": 26
          }
        }
      },
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {
        "Cisco": {
          "Cisco": 28,
          "Cisco Systems": 2,
          "Cisco Systems, Inc": 41
        }
      },
      "vulnerability": {}
    },
    "module_algorithms": {
      "_type": "Set",
      "elements": [
        "AES#333",
        "AES#4583",
        "AES#C462",
        "KTS#4583",
        "Triple-DES#C462",
        "Triple-DES#1469",
        "DRBG#C462",
        "Triple-DES#397",
        "ECDSA#C462",
        "SHS#C462",
        "SHS#2023",
        "CVL#C462",
        "RSA#2500",
        "HMAC#3034",
        "SHS#3760",
        "AES#2346",
        "CVL#1257",
        "RSA#C462",
        "KBKDF#139",
        "Triple-DES#2436",
        "KBKDF#C462",
        "ECDSA#1241",
        "CVL#1258",
        "AES#3160",
        "SHS#408",
        "HMAC#137",
        "AES#3505",
        "HMAC#C462",
        "HMAC#1455",
        "DRBG#1529",
        "KTS#C462"
      ]
    },
    "policy_algorithms": {
      "_type": "Set",
      "elements": [
        "#3034",
        "#408",
        "#137",
        "#2500",
        "#1529",
        "#1241",
        "#C462",
        "#1257",
        "#3505",
        "#333",
        "#1258",
        "#2023",
        "#139",
        "#1469",
        "#3160",
        "#2346",
        "#2436",
        "#397",
        "#1455",
        "#3760",
        "#4583"
      ]
    },
    "policy_metadata": {
      "/Author": "Anthony Busciglio",
      "/CreationDate": "D:20210513185937-04\u002700\u0027",
      "/Creator": "Microsoft\u00ae Word for Microsoft 365",
      "/ModDate": "D:20210513185937-04\u002700\u0027",
      "/Producer": "Microsoft\u00ae Word for Microsoft 365",
      "/Title": "0",
      "pdf_file_size_bytes": 1239208,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "http://www.cisco.com/",
          "https://www.cisco.com/c/en/us/td/docs/routers/asr1000/install/guide/modular_linecard/asr1_mlc_hig/mlc_asr1_overview.html",
          "https://www.cisco.com/c/en/us/td/docs/routers/asr1000/configuration/guide/chassis/asr1000-software-config-guide.html",
          "http://csrc.nist.gov/groups/STM/cmvp/index.html"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 42
    }
  },
  "state": {
    "_type": "sec_certs.sample.fips.InternalState",
    "module": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "policy": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "f2d8aa521f2ceef8014bab97028b7375b8e6c03e1e4c4996dc12783bb1b2f17f",
      "source_hash": "4899375ce959510d52b7ad85a3e96c37090952666136520eda6d14ce6de85137",
      "txt_hash": "e3937b457abbd00d5b6ab0dc66d30b79f08a63909391e64bb73630ae33d8a6ff"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
    "caveat": "When operated in FIPS mode, installed, initialized and configured as specified in Section 9 of the Security Policy",
    "certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/December 2020_040121_1006_signed.pdf",
    "date_sunset": null,
    "description": "The ASR 1000 Routers accelerate services by offering performance and resiliency with optimized, intelligent services; establishing a benchmark for price-to-performance offerings in the enterprise routing, service provider edge, and broadband aggregation segments; facilitating significant network innovations in areas such as secure WAN aggregation, managed customer-premises-equipment services, and service provider edge services, and reducing operating expenses and capital expenditures by facilitating managed or hosted services over identical architectures and operating environments.",
    "embodiment": "Multi-Chip Stand Alone",
    "exceptions": [
      "Roles, Services, and Authentication: Level 3",
      "Design Assurance: Level 3",
      "Mitigation of Other Attacks: N/A"
    ],
    "fw_versions": "Cisco IOS-XE 16.12",
    "historical_reason": "SP 800-56Arev3 transition - replaced by certificate #4644",
    "hw_versions": "ASR1001-HX, ASR1002-HX, [[ASR1006-X with RP2, RP3, ESP40, ESP100, [ASR1000-MIP100 with EPA-10X10GE and EPA-1X40GE QSFP+]] and [[ASR-1009-X with RP2, RP3, ESP40, ESP100, ESP200, [ASR1000-MIP100 with EPA-10X10GE and EPA-1X40GE QSFP+]]",
    "level": 1,
    "mentioned_certs": {},
    "module_name": "Cisco ASR 1000 Series Routers with MACSEC",
    "module_type": "Hardware",
    "revoked_link": null,
    "revoked_reason": null,
    "standard": "FIPS 140-2",
    "status": "historical",
    "sw_versions": null,
    "tested_conf": null,
    "validation_history": [
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2020-12-18",
        "lab": "Acumen Security",
        "validation_type": "Initial"
      },
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2021-06-11",
        "lab": "Acumen Security",
        "validation_type": "Update"
      }
    ],
    "vendor": "Cisco Systems, Inc.",
    "vendor_url": "https://www.cisco.com"
  }
}